Insert the line
Set swSelMgr = swModel.SelectionManager
before your line
Set swSelData = swSelMgr.CreateSelectData
This will make the swSelMgr object available and should stop the error mentioned in the first post.
Look at FeatureManager::InsertMirrorFeature2 in the API help file to see an...
If you're using SW2008, the following should work. Change the file paths as needed.
Dim swApp As SldWorks.SldWorks
Dim swModel As SldWorks.ModelDoc2
Dim swAssy As SldWorks.AssemblyDoc
Dim swComp As SldWorks.Component2
Dim swDocSpec As...
Could it be the RealView Graphics option is not activated?
Try: View->Display->RealView Graphics
...also available under 'view settings' (the screen with pointy finger icon) at the top next to the gold ball on floor icon.
That shows a mirror reflection under the part when looking in the down...
Have you tried the form's QueryClose event?
It fires when the 'x' button is pressed. Setting 'Cancel' to something non-zero cancels the action.
Private Sub UserForm_QueryClose(Cancel As Integer, CloseMode As Integer)
If CloseMode = vbFormControlMenu Then Cancel = 1
End Sub
Cheers...